package drills.drill02.exercise1

import java.rmi.Remote
import java.rmi.RemoteException
import java.rmi.server.UnicastRemoteObject

interface RemoteObserver : Remote {
    @Throws(RemoteException::class)
    fun update(obj: Any)
}

class ChatObserver : RemoteObserver, UnicastRemoteObject() {
    override fun update(obj: Any) {
        println("Received> ${obj as String}")
    }
}
