package drills.drill03.exercise2

import java.rmi.Remote
import java.rmi.RemoteException
import java.rmi.server.UnicastRemoteObject

interface AgentContainer : Remote {
    @Throws(RemoteException::class)
    fun migrate(agent: Agent)
}

class AgentContainerImpl : AgentContainer, UnicastRemoteObject() {
    override fun migrate(agent: Agent) {
        agent.start()
    }
}
