package drills.drill06.exercise1.point4

import org.apache.activemq.ActiveMQConnectionFactory
import javax.jms.Session
import javax.jms.TopicConnectionFactory

fun main() {
    val url = "tcp://localhost:61616"
    val factory: TopicConnectionFactory = ActiveMQConnectionFactory(url)
    val connection = factory.createTopicConnection()

    val session = connection.createTopicSession(
        false,
        Session.AUTO_ACKNOWLEDGE
    )

    val topic = session.createTopic("hello")
    val publisher = session.createPublisher(topic)

    val msg = session.createTextMessage("Hello Home!")
    publisher.publish(msg)

    session.close()
    connection.close()
}
