package util.jms.replier

import org.apache.activemq.ActiveMQConnectionFactory
import javax.jms.QueueConnectionFactory

class ActiveMQReplier(
    queueName: String,
    shared: Boolean = false
) : AbstarctReplier(queueName, shared) {
    override fun getFactory(uri: String): QueueConnectionFactory = ActiveMQConnectionFactory(uri)
        .also { it.isTrustAllPackages = true }
}
