package util.jms.requestor

import java.io.Serializable
import javax.jms.Message
import javax.jms.ObjectMessage
import javax.jms.TextMessage

interface Requestor {
    fun request(message: Message): Message
    fun createTextMessage(text: String = ""): TextMessage
    fun createObjectMessage(obj: Serializable? = null): ObjectMessage
    fun createMessage(): Message
    fun close()
}
