package util.network.epidemic.replay

import util.network.epidemic.EpidemicPacket
import util.network.simulator.Address

class ReplayPacket<T>(
    senderAddress: Address,
    receiverAddress: Address,
    payload: T,
    type: Type,
    val isReplay: Boolean
) : EpidemicPacket<T>(senderAddress, receiverAddress, payload, type)

