package drills.drill07.exercise4

import util.jms.requestor.ActiveMQRequestor
import util.jms.requestor.Requestor

fun main() {
    val requestor: Requestor =
        ActiveMQRequestor("factorial", shared = true)

    println("Enter the number of which you want to calculate the factorial:")
    val n = readLine()?.toInt()

    val sendMessage = requestor.createMessage()
        .also { it.setIntProperty("value", n!!) }

    val replyMessage = requestor.request(sendMessage)

    println("The factorial of $n is ${replyMessage.getLongProperty("result")}")

    requestor.close()
}
