package util.jms.replier

import java.io.Serializable
import javax.jms.Message
import javax.jms.ObjectMessage
import javax.jms.TextMessage

interface Replier {
    fun onRequest(buildResponse: (Message) -> Message)
    fun createTextMessage(text: String = ""): TextMessage
    fun createObjectMessage(obj: Serializable? = null): ObjectMessage
    fun createMessage(): Message
    fun start()
    fun close()
}
