package util.network.epidemic

import util.network.simulator.Address
import util.network.simulator.packet.PayloadPacket

open class EpidemicPacket<T>(
    override val senderAddress: Address,
    override val receiverAddress: Address,
    override val payload: T,
    val type: Type
) : PayloadPacket<T> {

    enum class Type {
        PUSH, PULL, PUSHPULL, REPLY
    }

}

