package util.network.epidemic

data class TimePayload<T>(val value: T, val timestamp: Long) {
    companion object {
        fun <T> createContent(value: T): TimePayload<T> {
            return TimePayload(value, System.nanoTime())
        }
    }
}